aMSN 0.97 final en Ubuntu Gutsy con antialiasing y tcl / tk 8.5

Imagen de niandubay
0 puntos

Tratando de instalar la versión 0.97 final de aMSN tuve muchos problemas, traté con el auto package pero me daba errores y fui probando distintas soluciones hasta que encontré la única que me funcionó, y bastante clara, la encontré con pequeñas modificaciones en distintos sitios, pero lo pongo aquí porque es un lugar de referencia y no lo vi posteado, así que espero que esto le sea útil a alguien, sino, pues no hace daño tampoco. :)

Primero que nada hay que desinstalar el amsn, te puedes guardar la carpeta plugins/skins o la carpeta de tu usuario de msn para no perder tus cosas, pero el resto para mi es mejor borrarlo para tener una instalación lo más limpia posible. Ya saben apt-get remove --purge o como les guste a ustedes.

Ahora instalar unas dependecias:

sudo aptitude install build-essential libc6-dev libx11-dev libxft-dev libpng-dev

(creo que son esas las necesarias)

Luego hay que descargarse las tcl y tk 8.5, hay versiones más nuevas, pero a mi me gusta instalarme las más estables, por eso me instalé las 8.5.0, creo que son las estables, aunque eso lo juzga cada uno. ;)

ftp://ftp.tcl.tk/pub/tcl/tcl8_5 ---> de aquí se las pueden descargar sin problemas

Bajarse tcl8.5.0-src.tar.gz y tk8.5.0-src.tar.gz, esas me bajé yo, si alguien sabe si es mejor otra que avise.

Luego descomprimimos y entramos a cada carpeta, vamos dentro de la carpeta /unix e instalamos:

Para tcl:

$ ./configure --prefix=/usr
$ make
$ sudo make install

Para tk:

$ ./configure --prefix=/usr --enable-xft
$ make
$ sudo make install

Ahora para que las nuevas versiones de tk funcionen para el aMSN hacemos:

$ cd /usr/bin
$ sudo rm wish
$ sudo ln -s wish8.5 wish

Ahora descargamos la versión final del aMSN:

http://prdownloads.sourceforge.net/amsn/amsn-0.97.tar.bz2

descomprimimos, entramos a la carpeta y hacemos:

$ ./configure --with-tcl=/usr/lib/ --with-tk=/usr/lib/
$ make
$ sudo make install

Y eso sería todo, ya tendrían que tener la versión 0.97 final con las letritas bien lindas, también estaría bueno hacer un $ make deb para tener el deb para instalarlo si lo desinstalamos por error o alguna cosa rara.

Ahora les dejo la dirección para bajarse las ultimas versiones estables del aMSN y sus plugins.

http://sourceforge.net/project/showfiles.php?group_id=54091

Un saludo para todos y suerte instalando.

Imagen de CyberMoon
+1
0
-1

Lo he instalado satisfactoriamente en mi ubuntu 7.10 de 64bits pero a la hora de iniciarlo siempre me pide que instale el modulo tls (le doy a que lo descargue y aparentemente lo descarga pero aun asi me lo vuelve a pedir una y otra vez, tambien he probado a indicarle la ruta pero nada, sigue pidiendolo...), alguna idea? 

---------------------------
Recopilación de Tips sobre Ubuntu: http://ubuntu.elorbe.net

Think different, think Linux.
NO SEAS UN PRINGAO, No al soporte gratuito de productos de Microsoft!

+1
0
-1

---------------------------
Recopilación de Tips sobre Ubuntu: http://ubuntu.elorbe.net

Think different, think Linux.
NO SEAS UN PRINGAO, No al soporte gratuito de productos de Microsoft!

Imagen de niandubay
+1
0
-1

http://download.tuxfamily.org/amsnskins/packages/ubuntu/tcl-tk/tcltls_1.... ....fácil de instalar, y si sigues con problemas, también te puedes descargar en deb todo lo necesario para tener el amsn desde aquí----> http://download.tuxfamily.org/amsnskins/packages/ubuntu/

+1
0
-1

Muchas veces no entiendo y otras ni me entero de lo que tengo que entender.....

Imagen de kidey
+1
0
-1

También tengo ubuntu 64 bits y lo instalé pero a la hora de bajar e instalar tal archivo algo ocurre, o tal vez ese es el problema, no ocurre nada. No baja nada. http://tls.sf.net/ me meti a esa pagina para bajarlo yo mismo y al parecer no existe para nuestra arquitectura.

+1
0
-1
Imagen de Lopz_
+1
0
-1

Buenas kidey ....

Conseguiste hacer funcionar aMSN en ubuntu a 64 bits... Tengo exactamente el mismo problema que tu... se me instala toooodo correcto... y a la hora de iniciar sesion me dice que tiene que instalar las librerias tls

le señalo la opcion  linux-x86_64 ... hace como que me descarga unos ficheros y me dice que ya puedo usarlo... 

procedo a volver a logear y me vuelve a decir que necesita la libreria....

Intente instalar desde synaptic el paquete tcltls  (el cual es el que antiguamente necesitaba en la version rc1 pero.) pero.. nada sigue diciendome lo mismo...

 

Lo conseguiste instalar???  o si alguien sabe hacerlo correr me lo podria explicar ... .. recuerdo que hablo de la distro de 64 bits.. en la de 32 bits funciona a la primera.... 1 saludo 

+1
0
-1

El pesimismo solo conduce a un sitio..... la cruda realidad...

Imagen de kaiserz
+1
0
-1

GRacias amigo hice todo tal cual como dices y funciona a la perfección.

 

Kaiser Z

+1
0
-1
Imagen de facha84
+1
0
-1

He instalado el amsn de maravillas con tus indicaciones. Antes de hacerlo tenia problemas con el "TCL Scripting Languaje" pero ahora anda un lujo el amsn (+10).

Tambien tuve inconvenientes durante la instalacion con la libreria "libjpeg", pero solo me faltavan los dev de la misma (sudo apt-get install libjpeg-dev para el que le ocurra lo mismo).

 Saludos

+1
0
-1
Imagen de webcracker
+1
0
-1

He seguido las instrucciones que has puesto y te he de decir que ha sido la pero experiencia que he tenido con amsn, lo he instalado antes y lo hacia por el modo tradicional, conseguir las librerias necesarias y despues descargar el package aMSN Installer for Tcl/Tk 8.4 

y eso era todo, ahora quise cambiar la forma de hacerlo y maldita sea la hora en que lo hice porque ahora me ha hecho menospreciar hasta a Ubuntu 7.10. 30 Veces lo he intentado instalar por el método que describiste y el mismo error : Loading TkCximage failed. This module is needed to run aMSN. Please complire aMSN first, instructions on how to compile are located in the file INSTALL. (Me dice esta cosa tan absurda a pesar de que lo he compilado más de 20 veces y lo he instalado y me detecta el Tcl/Tk 8.5 y Tcl/Tk 8.4). He leido al respecto y la solución que ofrecen es : sudo mv /usr/bin/wish /usr/bin/wish-bak
sudo ln -s /usr/bin/wish8.4 /usr/bin/wish

y oohh sorpresa...tampoco funciona..habrá algún dia en que Ubuntu tenga algún paquete sin errores de este tipo ? sino es mi tarjeta de video (la cuál tampoco ha habido solución alguna, pero al menos puedo lidiar con eso). la otra es la inalámbrica, songbird, no puedo ver archivos php a pesar de que tengo todo instalado: php, mysql, apache2, las librerias y demás cosas y nada, tengo que copiar mis archivos creados en php a la carpeta /var/www para vida de poder verlos...absurdo eehhh....firefox en linux no me los puede ver con un simple "visualizar en navegador" porque intenta descargarlo y otras tantas 'cositas' que ofrece ubuntu...

la cosa es que ahora quiero eliminar por completo amsn junto con los paquetes Tcl/Tk 8.4 y Tcl/Tk 8.5 final para hacerlo de la manera tradicional la instalación y al hacer un sudo apt-get remove --purge amsn me dice la grandiosida de 'el paquete no está instalado' a pesar de que esta en mi lista de programas y hago click en el me da ese horrendo error....

Hay una manera de eliminar todo sin tener que formatear mi pc ???
 

 

+1
0
-1
Imagen de wodano
+1
0
-1

hace mucho que escribi aqui mismo que no se debe compilar si no es necesario y a ests cosas me referia. Vamos por partes

lo que has instalado por tu cuenta desde el codigo funte no lo puedes eliminar con apt, simplemente porque el gestor de paquetes no sabe que esta instalado, por tanto la culpa no es de ubuntu sino mas bien del escript configure del amsn que no tiene en cuenta esa depencia uqe dice fallar.

para desinstalarlo basta con ir alas fuentes y ejecutar en cada una de ellas como root make uninstall si el programador lo ha implementado claro sino la unica opcione es borrar amano cada archivo intalado por el make install, es obligatorio ejecutar ./configure antes si no lo habias hecho para que la orden make funcione.

Ademas no puedes o mejor no debes compilar 30 veces sobre las misma fuente sin limpiarlas antes, me explico, cunado generas un progrmas compiladon desde las fuentes se crean un monto de archivos transitorios que si no son eliminados antes de recompilar sobre las mismas fuentes pueden dar problemas, para limpiarlar solo hay que ejecutar make distclean (preferible) y si no funciona make clean antes de cada ejecucion del script ./configure

Las depencias insatisfechas por otro lado se deben en el 90% a la falta de del paquete *-dev correspondiente es probbable que nisiquiera sea necesario compilar tcl/tk sino intalar los paquetes *-dev de los mismos algo como tcl-dev tk-dev o similar incluidop en lso repositorios de ubuntu.

y un ruego cuando compileis software por vuestra cuenta no useis --prefix=/usr porque escachara los binarios de la distribucion y eso puede ser mas peligroso que todo los viros de windows juntos en el mismo winxp sin antivirus ni actualizaciones en su lugar usad --prefix=/usr/local asi ganareis seguridad y control poruqe alli no hay nada y segun POSIX el ese directorio es el destinado a la instalacion del software de terceros asi si algo falla es mas facil controlarlo.

Puesrto a parte alguien quiere un como sobre como compilar si hay suficientes peticiones os lo escribo. 

+1
0
-1
Imagen de Lopz_
+1
0
-1

Por mi parte si... si aclaras cosas como la de --prefix .... etc etc .. si... vendria bien... puesto que los usuarios "medios" nos guiamos de guias.. (guias las cuales casi nunca te dicen.. esto sirve para esto o esto para esto otro... ) sino .. copia y pega... ..

 

1 saludo.. Por cierto... en la version de ubuntu 64 bits.... aunque instale manualmente lo de despues que ahora mismo no tengo el nombre... jejej.. lts o algo asi... .. no me funciona.. 

 

 

1 saludo.. :D  

 

PD.. de hecho ... ubuntu 8.04 Beta (ya si... se que es una beta) ... la de 64 bits... aun instalandolo desde los repositorios... no funciona jaja.. 

+1
0
-1

El pesimismo solo conduce a un sitio..... la cruda realidad...

Imagen de niandubay
+1
0
-1

si supiera lo que es lo diría... --prefix=/usr ...ni idea, pero me imagino que es para que use cirtos archivos en lugar de otros... o sea, que use los que están dentro de /usr/lib ...en lugar de los que estén en otro lado..... aviso que no tengo ni idea, solo encontré la solución por ahí y la colgué aquí por si le ayudaba a alguien, un saludo.

+1
0
-1

Muchas veces no entiendo y otras ni me entero de lo que tengo que entender.....

Imagen de Atapia
+1
0
-1

Yo tambien tengo el mismo problema y me gustaria que me indicaras eso de ir a las fuentes y eliminar desde allí, queiro eliminar todo lo que tenga que ver con amsn para instalar luego nuevamente si es que esa es la solucion....

Gracias..

dios quiera!!

Saludos,

 

 

+1
0
-1

Saludos,

 

 

Imagen de kasas
+1
0
-1

Lo del prefix en principio es para decir donde queremos que se instalen los binarios que se van a generar. Si mirais ese directorio vereis los archivos del amsn. Por cierto lo mejor cuando no se sabe para que sirve alguna cosa es abrir un terminal y hacer uso del man.

Un saludo

+1
0
-1
Imagen de niandubay
+1
0
-1

yo lo que hice un par de veces para quedarme seguro de que me quedaba limpio del amsn, era reinstalarlo por synaptic, la versión de los repositorios, me imagino que sobreescribe la otra, y luego desinstalarla, con --purge, o sea, sudo aptitude remove --purge amsn... y luego por si fuera poco, sudo aptitude autoremove y sudo apt-get autoclean.... algo así... incluso podés instalarte deborphan.... aunque yo nunca lo he usado, lo mismo con las tcl y tk... un saludo y espero que les vaya bien con el amsn, para mi, por ahora, aunque es medio inestable (cuando tengo varias ventanas de webcams se enlentece para la escritura y se termina cerrando) es el mejor cliente para msn, o sea, el que tiene más compatibilidad, solo le falta la conversación por voz, creo que están escribiendo amsn2... pero poco se, un saludo y suerte.

+1
0
-1

Muchas veces no entiendo y otras ni me entero de lo que tengo que entender.....

Imagen de niandubay
+1
0
-1

yo lo que hice un par de veces para quedarme seguro de que me quedaba limpio del amsn, era reinstalarlo por synaptic, la versión de los repositorios, me imagino que sobreescribe la otra, y luego desinstalarla, con --purge, o sea, sudo aptitude remove --purge amsn... y luego por si fuera poco, sudo aptitude autoremove y sudo apt-get autoclean.... algo así... incluso podés instalarte deborphan.... aunque yo nunca lo he usado, lo mismo con las tcl y tk... un saludo y espero que les vaya bien con el amsn, para mi, por ahora, aunque es medio inestable (cuando tengo varias ventanas de webcams se enlentece para la escritura y se termina cerrando) es el mejor cliente para msn, o sea, el que tiene más compatibilidad, solo le falta la conversación por voz, creo que están escribiendo amsn2... pero poco se, un saludo y suerte.

+1
0
-1

Muchas veces no entiendo y otras ni me entero de lo que tengo que entender.....

Imagen de niandubay
+1
0
-1

yo lo que hice un par de veces para quedarme seguro de que me quedaba limpio del amsn, era reinstalarlo por synaptic, la versión de los repositorios, me imagino que sobreescribe la otra, y luego desinstalarla, con --purge, o sea, sudo aptitude remove --purge amsn... y luego por si fuera poco, sudo aptitude autoremove y sudo apt-get autoclean.... algo así... incluso podés instalarte deborphan.... aunque yo nunca lo he usado, lo mismo con las tcl y tk... un saludo y espero que les vaya bien con el amsn, para mi, por ahora, aunque es medio inestable (cuando tengo varias ventanas de webcams se enlentece para la escritura y se termina cerrando) es el mejor cliente para msn, o sea, el que tiene más compatibilidad, solo le falta la conversación por voz, creo que están escribiendo amsn2... pero poco se, un saludo y suerte.

+1
0
-1

Muchas veces no entiendo y otras ni me entero de lo que tengo que entender.....